<div align="center">
  <img style="width:80vh; height:40vh" src="https://i.pinimg.com/originals/ed/6b/ff/ed6bff8acacfe3129c50523c36c54c37.gif" /><br>
</div>


## Installation

```
$ npm i discord-widget
$ yarn add discord-widget
```

## Methods

| Methods            | Description                                             |
| ------------------ | ------------------------------------------------------- |
| `getAllInfo`       | returns all info that can provide discord widget        |
| `getOnlineMembers` | returns objects of members that is online at the moment |
| `getInvite`        | returns invite of server                                |
| `getIframe`        | returns the iframe of widget for your web               |

## Code example (node.js):
```js
  const { Widget } = require('discord-widget')

  const serverWidget = new Widget('your id here')

  serverWidget.getAllInfo().then((res) => {
    console.log(res)
  })
```

## Code example (typescript):
```ts
  import { Widget } from 'discord-widget'

  const serverWidget = new Widget('your id here')

  serverWidget.getAllInfo().then((res) => {
      console.log(res)
  })
```

### Lib using:
* [axios](https://www.npmjs.com/package/axios)
* [typescript](https://www.npmjs.com/package/typescript)